tqsl_adifFieldDefinitions Struct Reference
ADIF API

`#include <adif.h>`

## Public Attributes

char | name [TQSL_ADIF_FIELD_NAME_LENGTH_MAX+1]
| Field name.
char | type [TQSL_ADIF_FIELD_TYPE_LENGTH_MAX+1]
| Field type.
TQSL_ADIF_RANGE_TYPE | rangeType
| Range type.
unsigned int | max_length
| Max length.
long signed | min_value
| Min value.
long signed | max_value
| Max value.
const char ** | enumStrings
| Enumerated values.
void * | userPointer
| user poitner

## Detailed Description

An ADIF field definition

The documentation for this struct was generated from the following file:

- adif.h